%global dlrn_nvr cinder-15.6.1.dev14-2.20220112174913.c093eda
%global dlrn 1
%define upstream_version 15.6.1.dev14
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Temporary disable doc until https://bugs.launchpad.net/tripleo/+bug/1838225 is fixed
%global with_doc 0
%global service cinder

%global common_desc \
OpenStack Volume (codename Cinder) provides services to manage and \
access block storage volumes for use by Virtual Machine instances.

Name:             openstack-%{service}
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:            1
Version: 15.6.1
Release: 2.20220112174913.c093eda%{?dist}
Summary:          OpenStack Volume service

License:          ASL 2.0
URL:              http://www.openstack.org/software/openstack-storage/
Source0: cinder-15.6.1.dev14-2.20220112174913.c093eda.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=c093edab2d11938ac88cbde3323b90d50e8120a6
Patch0001: 0001-Update-in-tree-Datera-Cinder-driver.patch
Patch0002: 0002-Add-support-for-VxFlex-OS-3.5-to-VxFlex-OS-driver.patch
Patch0003: 0003-Add-OpenStack-volume-replication-v2.1-support-in-VxF.patch
Patch0004: 0004-Add-support-for-volume-migration-in-VxFlex-OS-driver.patch
Patch0005: 0005-Add-revert-to-snapshot-support-in-VxFlex-OS-driver.patch
Patch0006: 0006-PowerMax-Driver-Ussuri-features-to-Train.patch
Patch0007: 0007-Remove-VxFlex-OS-credentials-from-connection_propert.patch
Patch0008: 0008-Add-Cinder-driver-for-Dell-EMC-PowerStore.patch
Patch0009: 0009-Add-online-extend-support-for-Dell-EMC-PowerStore-dr.patch
Patch0010: 0010-RBD-add-support-for-revert-to-snapshot.patch
Patch0011: 0011-RBD-Enable-cinder-exclusive-pool-by-default.patch
Patch0012: 0012-Rebranding-of-VxFlex-OS-driver-to-PowerFlex.patch
Patch0013: 0013-Add-support-for-IBM-GPFS-Driver.patch
Patch0014: 0014-Unity-Support-create-volume-with-tiering-policy.patch
Patch0015: 0015-Add-get_volume_stats-method-to-PowerStore-driver.patch
Patch0016: 0016-Unity-Support-consistency-group-replication.patch
Patch0017: 0017-Unity-Retype-volume-support.patch
Patch0018: 0018-Add-CHAP-support-to-Dell-EMC-PowerStore-driver.patch
Patch0019: 0019-PowerMax-Driver-Changing-from-91-to-92-REST-endpoint.patch
Patch0020: 0020-Add-Hitachi-Block-Storage-Driver.patch
Patch0021: 0021-Hitachi-Wait-until-the-volume-can-be-deleted.patch
Patch0022: 0022-Hitachi-Use-get_volume_stats-in-the-base-driver.patch
Patch0023: 0023-Hitachi-Trace-REST-API-input-output-logs.patch
Patch0024: 0024-Fix-PowerStore-iSCSI-targets-filtering.patch
Patch0025: 0025-rbd-Fix-create-encrypted-volume-from-snapshot.patch
Patch0026: 0026-Support-format-info-in-fs-type-drivers.patch
Patch0027: 0027-NFS-Fix-for-groups-and-cloning.patch
Patch0028: 0028-Fixed-copy-on-write-mode-in-GPFS-NFS-driver.patch
Patch0029: 0029-3PAR-Allow-iSCSI-driver-to-be-enabled-for-Primera-4..patch
Patch0030: 0030-Fix-Schema-validation-for-attachment-create-API.patch

Source1:          %{service}-dist.conf
Source2:          %{service}.logrotate

Source10:         openstack-%{service}-api.service
Source11:         openstack-%{service}-scheduler.service
Source12:         openstack-%{service}-volume.service
Source13:         openstack-%{service}-backup.service
Source20:         %{service}-sudoers


BuildArch:        noarch
BuildRequires:    intltool
BuildRequires:    python%{pyver}-pbr
BuildRequires:    python%{pyver}-reno
BuildRequires:    python%{pyver}-devel
BuildRequires:    python%{pyver}-setuptools
BuildRequires:    python%{pyver}-netaddr
BuildRequires:    systemd
BuildRequires:    git
BuildRequires:    python%{pyver}-os-brick
BuildRequires:    python%{pyver}-pyparsing
BuildRequires:    python%{pyver}-pytz
BuildRequires:    openstack-macros
# Required to build cinder.conf
BuildRequires:    python%{pyver}-cursive
BuildRequires:    python%{pyver}-google-api-client >= 1.4.2
BuildRequires:    python%{pyver}-keystonemiddleware
BuildRequires:    python%{pyver}-glanceclient >= 1:2.15.0
BuildRequires:    python%{pyver}-novaclient >= 9.1.0
BuildRequires:    python%{pyver}-swiftclient >= 3.2.0
BuildRequires:    python%{pyver}-oslo-db
BuildRequires:    python%{pyver}-oslo-config >= 2:5.2.0
BuildRequires:    python%{pyver}-oslo-policy
BuildRequires:    python%{pyver}-oslo-privsep
BuildRequires:    python%{pyver}-oslo-reports
BuildRequires:    python%{pyver}-oslotest
BuildRequires:    python%{pyver}-oslo-utils
BuildRequires:    python%{pyver}-oslo-versionedobjects
BuildRequires:    python%{pyver}-oslo-vmware
BuildRequires:    python%{pyver}-os-win
BuildRequires:    python%{pyver}-castellan
BuildRequires:    python%{pyver}-cryptography
BuildRequires:    python%{pyver}-osprofiler
BuildRequires:    python%{pyver}-paramiko
BuildRequires:    python%{pyver}-suds
BuildRequires:    python%{pyver}-taskflow
BuildRequires:    python%{pyver}-tooz
BuildRequires:    python%{pyver}-oslo-log
BuildRequires:    python%{pyver}-oslo-i18n
BuildRequires:    python%{pyver}-barbicanclient
BuildRequires:    python%{pyver}-requests
BuildRequires:    python%{pyver}-defusedxml

# Required to compile translation files
BuildRequires:    python%{pyver}-babel

# Needed for unit tests
BuildRequires:    python%{pyver}-ddt
BuildRequires:    python%{pyver}-fixtures
BuildRequires:    python%{pyver}-mock
BuildRequires:    python%{pyver}-oslotest
BuildRequires:    python%{pyver}-subunit
BuildRequires:    python%{pyver}-testtools
BuildRequires:    python%{pyver}-testrepository
BuildRequires:    python%{pyver}-testresources
BuildRequires:    python%{pyver}-testscenarios
BuildRequires:    python%{pyver}-os-testr

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-decorator
BuildRequires:    python-lxml
BuildRequires:    python-retrying
BuildRequires:    python-rtslib
%else
BuildRequires:    python%{pyver}-decorator
BuildRequires:    python%{pyver}-lxml
BuildRequires:    python%{pyver}-retrying
BuildRequires:    python%{pyver}-rtslib
%endif


Requires:         python%{pyver}-%{service} = %{epoch}:%{version}-%{release}

# we dropped the patch to remove PBR for Delorean
Requires:         python%{pyver}-pbr

# as convenience
Requires:         python%{pyver}-cinderclient

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif
Requires(pre):    shadow-utils

Requires:         lvm2
Requires:         python%{pyver}-osprofiler

# Handle python2 exception
%if %{pyver} == 2
Requires:         python-rtslib
Requires:         python-pyudev
# required for cinder-manage
Requires:         python-prettytable >= 0.7.1
%else
Requires:         python%{pyver}-rtslib
Requires:         python%{pyver}-pyudev
# required for cinder-manage
Requires:         python%{pyver}-prettytable >= 0.7.1
%endif


%description
%{common_desc}


%package -n       python%{pyver}-%{service}
Summary:          OpenStack Volume Python libraries
%{?python_provide:%python_provide python%{pyver}-%{service}}
Group:            Applications/System

Requires:         sudo

Requires:         cryptsetup
Requires:         cracklib-dicts
Requires:         qemu-img >= 2.10.0
Requires:         sysfsutils
Requires:         python%{pyver}-paramiko >= 2.0.0
Requires:         python%{pyver}-simplejson >= 3.5.1
Requires:         python%{pyver}-jsonschema >= 2.6.0

Requires:         python%{pyver}-castellan >= 0.16.0
Requires:         python%{pyver}-cursive >= 0.2.1
Requires:         python%{pyver}-etcd3gw
Requires:         python%{pyver}-eventlet >= 0.22.0
Requires:         python%{pyver}-greenlet >= 0.4.10
Requires:         python%{pyver}-iso8601 >= 0.1.11
Requires:         python%{pyver}-stevedore >= 1.20.0
Requires:         python%{pyver}-suds
Requires:         python%{pyver}-tooz >= 1.58.0

Requires:         python%{pyver}-sqlalchemy >= 1.0.10
Requires:         python%{pyver}-routes >= 2.3.1
Requires:         python%{pyver}-webob >= 1.7.1

Requires:         python%{pyver}-barbicanclient >= 4.5.2
Requires:         python%{pyver}-glanceclient >= 1:2.15.0
Requires:         python%{pyver}-keystoneclient >= 1:3.15.0
Requires:         python%{pyver}-novaclient >= 9.1.0
Requires:         python%{pyver}-swiftclient >= 3.2.0

Requires:         python%{pyver}-six >= 1.10.0
Requires:         python%{pyver}-psutil >= 3.2.2

Requires:         python%{pyver}-google-api-client >= 1.4.2

Requires:         python%{pyver}-keystonemiddleware >= 4.21.0
Requires:         python%{pyver}-keystoneauth1 >= 3.7.0
Requires:         python%{pyver}-osprofiler >= 1.4.0
Requires:         python%{pyver}-os-brick >= 2.8.0
Requires:         python%{pyver}-os-win >= 3.0.0
Requires:         python%{pyver}-oslo-config >= 2:5.2.0
Requires:         python%{pyver}-oslo-concurrency >= 3.26.0
Requires:         python%{pyver}-oslo-context >= 2.19.2
Requires:         python%{pyver}-oslo-db >= 4.27.0
Requires:         python%{pyver}-oslo-i18n >= 3.15.3
Requires:         python%{pyver}-oslo-log >= 3.36.0
Requires:         python%{pyver}-oslo-middleware >= 3.31.0
Requires:         python%{pyver}-oslo-messaging >= 6.4.0
Requires:         python%{pyver}-oslo-policy >= 1.44.1
Requires:         python%{pyver}-oslo-privsep >= 1.32.0
Requires:         python%{pyver}-oslo-reports >= 1.18.0
Requires:         python%{pyver}-oslo-rootwrap >= 5.8.0
Requires:         python%{pyver}-oslo-serialization >= 2.18.0
Requires:         python%{pyver}-oslo-service >= 1.24.0
Requires:         python%{pyver}-oslo-upgradecheck >= 0.1.0
Requires:         python%{pyver}-oslo-utils >= 3.34.0
Requires:         python%{pyver}-oslo-versionedobjects >= 1.31.2
Requires:         python%{pyver}-oslo-vmware >= 2.17.0
Requires:         python%{pyver}-taskflow >= 3.2.0

Requires:         iscsi-initiator-utils

Requires:         python%{pyver}-oauth2client >= 1.5.0
Requires:         python%{pyver}-requests >= 2.14.2
Requires:         python%{pyver}-pyparsing >= 2.1.0
Requires:         python%{pyver}-pytz

Requires:         python%{pyver}-cryptography >= 2.1

Requires:         python%{pyver}-defusedxml >= 0.5.0

# Handle python2 exception
%if %{pyver} == 2
Requires:         python-lxml >= 3.2.1
Requires:         python-migrate >= 0.11.0
Requires:         python-paste
Requires:         python-paste-deploy
Requires:         python-httplib2 >= 0.9.1
Requires:         python-retrying >= 1.2.3
Requires:         python-decorator
Requires:         python-enum34
Requires:         python-ipaddress
%else
Requires:         python%{pyver}-lxml >= 3.2.1
Requires:         python%{pyver}-migrate >= 0.11.0
Requires:         python%{pyver}-paste
Requires:         python%{pyver}-paste-deploy
Requires:         python%{pyver}-httplib2 >= 0.9.1
Requires:         python%{pyver}-retrying >= 1.2.3
Requires:         python%{pyver}-decorator
%endif

# Required by the volume_copy_bps_limit option
# at least where the package is available
%if 0%{?rhel} && 0%{?rhel} < 9
Requires:         libcgroup-tools
%endif


%description -n   python%{pyver}-%{service}
%{common_desc}

This package contains the %{service} Python library.

%package -n python%{pyver}-%{service}-tests
Summary:        Cinder tests
%{?python_provide:%python_provide python%{pyver}-%{service}-tests}
Requires:       openstack-%{service} = %{epoch}:%{version}-%{release}

# Added test requirements
Requires:       python%{pyver}-hacking
Requires:       python%{pyver}-ddt
Requires:       python%{pyver}-fixtures
Requires:       python%{pyver}-mock
Requires:       python%{pyver}-oslotest
Requires:       python%{pyver}-subunit
Requires:       python%{pyver}-testtools
Requires:       python%{pyver}-testrepository
Requires:       python%{pyver}-testresources
Requires:       python%{pyver}-testscenarios
Requires:       python%{pyver}-stestr


%description -n python%{pyver}-%{service}-tests
%{common_desc}

This package contains the Cinder test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Volume
Group:            Documentation

Requires:         %{name} = %{epoch}:%{version}-%{release}

BuildRequires:    graphviz

BuildRequires:    python%{pyver}-sphinx
BuildRequires:    python%{pyver}-openstackdocstheme
BuildRequires:    python%{pyver}-sphinxcontrib-apidoc
BuildRequires:    python%{pyver}-sphinx-feature-classification
# Required to build module documents
BuildRequires:    python%{pyver}-eventlet
BuildRequires:    python%{pyver}-routes
BuildRequires:    python%{pyver}-sqlalchemy
BuildRequires:    python%{pyver}-webob
# while not strictly required, quiets the build down when building docs.
BuildRequires:    python%{pyver}-iso8601 >= 0.1.9

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:    python-migrate
%else
BuildRequires:    python%{pyver}-migrate
%endif


%description      doc
%{common_desc}

This package contains documentation files for %{service}.
%endif

%prep
%autosetup -n %{service}-%{upstream_version} -S git

find . \( -name .gitignore -o -name .placeholder \) -delete

find %{service} -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +
sed -i 's/\/usr\/bin\/env python/\/usr\/bin\/env python%{pyver}/' tools/generate_driver_list.py

sed -i 's/%{version}.%{milestone}/%{version}/' PKG-INFO

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
# Generate config file
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=tools/config/%{service}-config-generator.conf

# Build
%{pyver_build}

# Generate i18n files
# (amoralej) we can remove '-D cinder' once https://review.openstack.org/#/c/439501/ is merged
%{pyver_bin} setup.py compile_catalog -d build/lib/%{service}/locale -D cinder

%install
%{pyver_install}

# docs generation requires everything to be installed first
export PYTHONPATH="$( pwd ):$PYTHONPATH"

%if 0%{?with_doc}
# FIXME(ykarel) Temporary disable warning as error until https://review.openstack.org/#/c/558263/ merges.
sphinx-build-%{pyver} -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.{doctrees,buildinfo}
# FIXME(ykarel) Temporary disable warning as error until https://review.openstack.org/#/c/558263/ merges.
sphinx-build-%{pyver} -b man doc/source doc/build/man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/
%endif


# Setup directories
install -d -m 755 %{buildroot}%{_sharedstatedir}/%{service}
install -d -m 755 %{buildroot}%{_sharedstatedir}/%{service}/tmp
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{service}

# Install config files
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/volumes
install -p -D -m 640 etc/%{service}/rootwrap.conf %{buildroot}%{_sysconfdir}/%{service}/rootwrap.conf
install -p -D -m 640 etc/%{service}/api-paste.ini %{buildroot}%{_sysconfdir}/%{service}/api-paste.ini
install -p -D -m 640 etc/%{service}/resource_filters.json %{buildroot}%{_sysconfdir}/%{service}/resource_filters.json
install -p -D -m 640 etc/%{service}/%{service}.conf.sample %{buildroot}%{_sysconfdir}/%{service}/%{service}.conf

# Install initscripts for services
install -p -D -m 644 %{SOURCE10} %{buildroot}%{_unitdir}/openstack-%{service}-api.service
install -p -D -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/openstack-%{service}-scheduler.service
install -p -D -m 644 %{SOURCE12} %{buildroot}%{_unitdir}/openstack-%{service}-volume.service
install -p -D -m 644 %{SOURCE13} %{buildroot}%{_unitdir}/openstack-%{service}-backup.service

# Install sudoers
install -p -D -m 440 %{SOURCE20} %{buildroot}%{_sysconfdir}/sudoers.d/%{service}

# Install logrotate
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-%{service}

# Install pid directory
install -d -m 755 %{buildroot}%{_localstatedir}/run/%{service}

# Install rootwrap files in /usr/share/cinder/rootwrap
mkdir -p %{buildroot}%{_datarootdir}/%{service}/rootwrap/
install -p -D -m 644 etc/%{service}/rootwrap.d/* %{buildroot}%{_datarootdir}/%{service}/rootwrap/


# Symlinks to rootwrap config files
mkdir -p %{buildroot}%{_sysconfdir}/%{service}/rootwrap.d
for filter in %{_datarootdir}/os-brick/rootwrap/*.filters; do
ln -s $filter %{buildroot}%{_sysconfdir}/%{service}/rootwrap.d/
done

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{pyver_sitelib}/%{service}/locale/*/LC_*/%{service}*po
rm -f %{buildroot}%{pyver_sitelib}/%{service}/locale/*pot
mv %{buildroot}%{pyver_sitelib}/%{service}/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang %{service} --all-name

# Remove unneeded in production stuff
rm -f %{buildroot}/usr/share/doc/%{service}/README*

# Remove duplicate config files under /usr/etc/
rm -rf %{buildroot}%{_prefix}/etc

# FIXME(jpena): unit tests are taking too long in the current DLRN infra
# Until we have a better architecture, let's not run them when under DLRN
%if 0%{!?dlrn}
%check
OS_TEST_PATH=./%{service}/tests/unit ostestr --concurrency=2
%endif

%pre
getent group %{service} >/dev/null || groupadd -r %{service} --gid 165
if ! getent passwd %{service} >/dev/null; then
  useradd -u 165 -r -g %{service} -G %{service},nobody -d %{_sharedstatedir}/%{service} -s /sbin/nologin -c "OpenStack Cinder Daemons" %{service}
fi
exit 0

%post
%systemd_post openstack-%{service}-volume
%systemd_post openstack-%{service}-api
%systemd_post openstack-%{service}-scheduler
%systemd_post openstack-%{service}-backup

%preun
%systemd_preun openstack-%{service}-volume
%systemd_preun openstack-%{service}-api
%systemd_preun openstack-%{service}-scheduler
%systemd_preun openstack-%{service}-backup

%postun
%systemd_postun_with_restart openstack-%{service}-volume
%systemd_postun_with_restart openstack-%{service}-api
%systemd_postun_with_restart openstack-%{service}-scheduler
%systemd_postun_with_restart openstack-%{service}-backup

%files
%dir %{_sysconfdir}/%{service}
%config(noreplace) %attr(-, root, %{service}) %{_sysconfdir}/%{service}/%{service}.conf
%config(noreplace) %attr(-, root, %{service}) %{_sysconfdir}/%{service}/api-paste.ini
%config(noreplace) %attr(-, root, %{service}) %{_sysconfdir}/%{service}/rootwrap.conf
%config(noreplace) %attr(-, root, %{service}) %{_sysconfdir}/%{service}/resource_filters.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-%{service}
%config(noreplace) %{_sysconfdir}/sudoers.d/%{service}
%{_sysconfdir}/%{service}/rootwrap.d/
%attr(-, root, %{service}) %{_datadir}/%{service}/%{service}-dist.conf

%dir %attr(0750, %{service}, root) %{_localstatedir}/log/%{service}
%dir %attr(0755, %{service}, root) %{_localstatedir}/run/%{service}
%dir %attr(0755, %{service}, root) %{_sysconfdir}/%{service}/volumes

%{_bindir}/%{service}-*
%{_unitdir}/*.service
%{_datarootdir}/%{service}
%if 0%{?with_doc}
%{_mandir}/man1/%{service}*.1.gz
%endif

%defattr(-, %{service}, %{service}, -)
%dir %{_sharedstatedir}/%{service}
%dir %{_sharedstatedir}/%{service}/tmp

%files -n python%{pyver}-%{service} -f %{service}.lang
%{?!_licensedir: %global license %%doc}
%license LICENSE
%{pyver_sitelib}/%{service}
%{pyver_sitelib}/%{service}-*.egg-info
%exclude %{pyver_sitelib}/%{service}/test.py
%exclude %{pyver_sitelib}/%{service}/tests

%files -n python%{pyver}-%{service}-tests
%license LICENSE
%{pyver_sitelib}/%{service}/test.py
%{pyver_sitelib}/%{service}/tests

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%endif

%changelog
* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20220112174913.c093eda
- Fix: Schema validation for attachment create API (rhbz#2037034)

* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20220111164930.c093eda
- 3PAR: Allow iSCSI driver to be enabled for Primera 4.2 onwards. (rhbz#2029943)

* Fri Dec 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211218044843.c093eda
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- RBD: Open RBD images read-only where possible

* Wed Dec 15 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211216044904.0fb7229
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- [stable-only] Pin virtualenv and setuptools

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211112134943.5aed9c6
- Update patches

* Thu Nov 11 2021 Alan Bishop <abishop@redhat.com> 1:15.6.1-2.20211108131933
- Fixed copy-on-write mode in GPFS NFS driver (rhbz#2022018)

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211108131932.5aed9c6
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Allow removing NFS snapshots in error status

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211028044927.4fde5a3
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix issue of getting detail backups list info

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20211005144826.7fd4d46
- NFS: Fix for groups and cloning (rhbz#2008993)

* Thu Sep 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210930214816.7fd4d46
- Support format info in fs type drivers (rhbz#2008993)

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210928085553.7fd4d46
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- RBD: use correct stripe unit in clone operation

* Mon Sep 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210913130821.9c770d9
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- PowerMax Driver - Fix for create snapshot

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210826054807.d8d84b7
- Update patches

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210826044810.d8d84b7
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NFS: Update connection info on online snap create

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210825090953.bfa754c
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp ONTAP: Fix QoS lost after moving volume

* Tue Aug 24 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210824104810.80ab7cb
- [rbd] Fix create encrypted volume from snapshot (rhbz#1772531)

* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210812044809.80ab7cb
- Update patches

* Fri Jul 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210730164820.80ab7cb
- NFS: Update connection info on online snap create (rhbz#1985453)

* Wed Jun 23 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210623044812.80ab7cb
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix typo in Dell EMC Unity driver documentation

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210528143330.574221a
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.1-2.20210527080558.574221a
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- [train-only] Fix mock import for infinidat driver

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.0-2.20210514204809.daa211e
- Fix PowerStore iSCSI targets filtering (rhbz#1953749)

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.6.0-2.20210514044812.daa211e
- Update patches

* Sun May 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.1-2.20210509044807.daa211e
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- [SVF]:Fix clone fcmap not being deleted in cleanup
- Add support for RBD fast-diff feature for backups stored in Ceph

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.1-2.20210507044809.4947045
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix sporadic cleanup unit test failure
- API validation: Add cinder_host type to support ipv6 in manage
- Backup manager: Synchronously call remove_export
- [SVF]:Reduce slowness by caching pool information
- Label temporary files created by image_utils
- Add ports filtering support to Dell EMC XtremIO driver
- [Pure] Fix failing consistency group tempest tests

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.0-1
- Update patches

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.0-1
- Hitachi: Trace REST API input/output logs (rhbz#1946176)
- Hitachi: Use get_volume_stats in the base driver (rhbz#1946176)
- Hitachi: Wait until the volume can be deleted (rhbz#1946176)
- API validation: Add cinder_host type to support ipv6 in manage
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Drop lower-constraints job

* Mon Apr 12 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.0-1
- Add Hitachi Block Storage Driver (rhbz#1946176)

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.5.0-1
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- API validation: Add cinder_host type to support ipv6 in manage

* Thu Apr 01 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Update patches

* Thu Apr 01 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp SolidFire: Fix error on cluster workload rebalancing
- NetApp SolidFire: Fix duplicate volume when API response is lost

* Wed Mar 31 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- NetApp SolidFire: Fix duplicate volume when API response is lost (rhbz#1939394)

* Thu Mar 25 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp SolidFire: Fix clone and request timeout issues

* Sun Mar 21 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Correct group:reset_group_snapshot_status policy

* Sat Mar 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Pure: Add default value to pure_host_personality

* Mon Mar 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- PowerMax Driver -  Changing from 91 to 92 REST endpoints (rhbz#1913671)

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add CHAP support to Dell EMC PowerStore driver (rhbz#1935154)

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fixed an issue with creating a backup from snapshot with NFS volume driver.

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Log information about the Ceph v2 clone API

* Sat Feb 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix: listing volumes with filters

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- RBD: Retry delete if VolumeIsBusy in _copy_image_to_volume
- API: os-reset_status notification fix

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- [Unity] Retype volume support (rhbz#1808578)
- [Unity] Support consistency group replication (rhbz#1808576)

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add get_volume_stats method to PowerStore driver (rhbz#1889628)
- [Unity] Support create volume with tiering policy. (rhbz#1808577)
- Add support for IBM GPFS Driver (rhbz#1882539)
- Rebranding of VxFlex OS driver to PowerFlex (rhbz#1867222)
- RBD: Enable cinder exclusive pool by default

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- RBD: add support for revert-to-snapshot (rhbz#1702234)

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add online extend support for Dell EMC PowerStore driver (rhbz#1862541)
- Add Cinder driver for Dell EMC PowerStore (rhbz#1862541)

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Remove VxFlex OS credentials from connection_properties (rhbz#1823200)

* Sat Jan 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Ensure pep8/fast8 run in python 3.6

* Thu Jan 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Change default glance_num_retries to 3

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Do not fail when depth is greater than rbd_max_clone_depth

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Update patches

* Thu Dec 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Adjust requirements and lower-constraints

* Tue Dec 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.1-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix volume rekey during clone

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Update patches

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- PowerMax Driver - Safeguarding retype to some in-use replicated modes
- PowerMax Train Docs - Upgrade improvement notification

* Sat Nov 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix service-get-log to respect server filters
- RBD: Run flatten in a different thread when cloning a volume
- Fix: show volume transfer by name for non-admins
- NetApp SolidFire: Fix retype to SolidFire
- NetApp SolidFire: Fix pylint issues

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NEC driver: fix a snapshot detach error

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NEC driver: fix live-migration failure with FC

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.4.0-1
- Update patches

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- PowerMax Driver - Legacy volumes fail to live migrate

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Add general release note for 15.4.0

* Thu Sep 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Modify default/delete volume type logic

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix revert to snapshot for non admins

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix rekeying volume with legacy encryption provider

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Require os-brick >= 2.10.5

* Sun Sep 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Include deleted volumes for online data migrations

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Brocade: Fix lookup UnboundLocalError
- Brocade: Fix AttributeError when raising exception
- Brocade: Python 3 support

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Creating image-volume cache on NFS backend fails

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- PowerMax Driver - PowerMax Pools Fix

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix volume migration fails in the same ceph RBD pool

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- RBD: Cleanup temporary file during exception

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- zuul: collect cinderlib logs from tempest node(s) only

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Kaminario: Fix unique_fqdn_network option
- HPE 3PAR: Support duplicated FQDN in network
- NetApp ONTAP: Fix extend volume for iSCSI/FCP

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Disable siblings for the cinderlib functional tests

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Default volume_type set too early

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix cross-project incremental backups

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- 3PAR: Fix live migration

* Sun Jun 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp SolidFire: Fix failback failing after service restart

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp ONTAP: Fix iSCSI multiattach volume terminates connection

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Native Zuul v3 cinder-grenade jobs

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Fix revert snapshot issue

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Port several legacy tempest jobs to Zuul v3

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.3.0-1
- Update patches

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.2.0-1
- PowerMax Driver - Ussuri features to Train (rhbz#1808583)
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Update os-brick library to 2.10.4

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.2.0-1
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- NetApp ONTAP NFS driver fail to flexclone glance image.

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.2.0-1
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Remove VxFlex OS credentials from connection_properties

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- 3PAR - Fix renaming volume after migration

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- [stable only] Add warning about rbd_keyring_conf

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches

* Mon May 04 2020 Pablo Caruana <pcaruana@redhat.com> 1:15.1.1-0.20200427123444.0aceffb
- Add revert to snapshot support in VxFlex OS driver (rhbz#1808570)
- Add support for volume migration in VxFlex OS driver (rhbz#1808570)
- Add OpenStack volume replication v2.1 support in VxFlex OS driver (rhbz#1808570)
- Add support for VxFlex OS 3.5 to VxFlex OS driver (rhbz#1808570)

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update in-tree Datera Cinder driver (rhbz#1822304)
- Fix: failed to create snapshot with DriverFilter

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches
- PowerMax Driver - Allowing for default volume type in group
- Preserve request id in Cinder logs when creating boot volume
- Do not rename rbd based volume after migration

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches
- Move release note to correct directory

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches
- Mark Nimble Storage Driver supported

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-2
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.1.0-1
- Update patches

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- PowerMax Driver - Legacy volume not found

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- RBD: fix volume reference handling in clone logic

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- [Unity] Fix TypeError for test case test_delete_host_wo_lock

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Add new license scheme for Flashsystem9000 series

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- ChunkedBackupDriver: Freeing memory on restore

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Cinder backup export broken

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Support volume transfer `name` filters
- Add cryptsetup to bindep.txt
- NEC driver: fix migrate/retype an in-use volume
- PowerMax Docs -  corrections and improvements
- Configurable timeout of the QEMU img conversion

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Tell reno to ignore the kilo branch
- Install all requirements in docs builds
- Skip cryptsetup password quality checking

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- 3PAR: Revert flag for Active/Active High Availability Support

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Fix: Create new cache entry when xtremio reaches snap limit

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- RBD: catch argument exceptions when configuring multiattach

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Merge "Make volume soft delete more thorough" into stable/train
- Make volume soft delete more thorough

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches
- Merge "Mark storwize driver supported" into stable/train
- DS8k Cinder Driver support Python3
- Mark storwize driver supported

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.1-1
- Update patches

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- PowerMax Driver - retype attached replication fix

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- PowerMax Driver - Volume group delete failure

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "PowerMax Driver - QoS calculation failure" into stable/train
- PowerMax Driver - QoS calculation failure

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "Tests: Isolate rbd deferred deletion tests" into stable/train
- Merge "Fix Train release note prelude" into stable/train
- Merge "NEC driver: replace deprecated xml library" into stable/train
- Tests: Isolate rbd deferred deletion tests
- Fix Train release note prelude
- NEC driver: replace deprecated xml library

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "NEC driver: fix an undefined variable" into stable/train
- NEC driver: fix an undefined variable

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- NEC driver: fix a non-disruptive backup error

* Wed Nov 27 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "Pure Storage - Fix disconnect error in clustered environments" into stable/train
- Pure Storage - Fix disconnect error in clustered environments

* Wed Nov 27 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "RemoteFS: Use dest vol id instead of source id in snapshot temp name" into stable/train
- Merge "Increase cpu limit for image conversion" into stable/train
- Increase cpu limit for image conversion
- RemoteFS: Use dest vol id instead of source id in snapshot temp name

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "iSCSI driver initialization should fail for Primera backend" into stable/train
- iSCSI driver initialization should fail for Primera backend

* Sat Nov 23 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "Fix remotefs clone volume locking" into stable/train
- Fix remotefs clone volume locking

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches
- Merge "3PAR: Add HPE Primera related information" into stable/train
- 3PAR: Add HPE Primera related information

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-2
- Update patches

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-1
- Update patches
- Fix VxFlexOS documentation

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-1
- Update patches
- Switch to opensuse-15 nodeset

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-1
- Update patches

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-0.2.0rc2
- Update patches
- Pure: Ensure generated volume name does not exceed 63 characters

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-0.2.0rc2
- Update patches
- Move hacking checks to tests dir

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-0.2.0rc2
- Update patches
- NetApp SolidFire: Add options for replication mode

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 1:15.0.0-0.1.0rc1
- Update patches
- Merge "NetApp SolidFire: Fix replication" into stable/train
- Imported Translations from Zanata
- NetApp SolidFire: Fix replication

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 1:15.0.0-0.1.0rc1
- Update to 15.0.0.0rc1



